path: /build/build/kubectl-sys-cluster-1.33.1+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -s "s|^EAPI=7|EAPI=7\nEGO_OVERRIDE_GOMOD=0|g" -i /var/git/meta-repo/kits/core-server-kit/sys-cluster/kubectl/kubectl-1.33.1.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-cluster/kubectl -pv -t && \
    emerge -j ${JOBS} --nodeps sys-cluster/kubectl
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kubectl && luet-portage --dir /pkgdir/kubectl
    sys-cluster/kubectl && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:7af98dee0b98691cced620868a2ec6e3fd430026735c79d9a0ef60027459f323
  package:
    name: kubectl
    version: 1.33.1+2
    category: sys-cluster
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: CLI to run commands against Kubernetes clusters
    uri:
    - https://kubernetes.io
    license: Apache-2.0
    buildtimestamp: 2025-11-03 13:37:12.692293899 +0000 UTC m=+202.307866706
    labels:
      BDEPEND: '>=dev-lang/go-1.21 >=dev-lang/go-1.12 app-arch/unzip'
      DEPEND: '!sys-cluster/kubernetes'
      IUSE: hardened
      emerge.packages: sys-cluster/kubectl
      kit: core-server-kit
      original.package.name: sys-cluster/kubectl
      original.package.slot: "0"
      original.package.version: 1.33.1
    treedir: /build/packages
  package_dir: /pkgdir/kubectl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4afe5a74bc33934b09a4afcb7aaddfa50cb5c7eaf5700536cceb36b2a7d9035e
compressiontype: zstd
files:
- usr/bin/kubectl
- usr/share/bash-completion/completions/kubectl
- usr/share/zsh/site-functions/_kubectl
- var/db/pkg/sys-cluster/kubectl-1.33.1/BDEPEND
- var/db/pkg/sys-cluster/kubectl-1.33.1/BUILD_TIME
- var/db/pkg/sys-cluster/kubectl-1.33.1/CATEGORY
- var/db/pkg/sys-cluster/kubectl-1.33.1/CBUILD
- var/db/pkg/sys-cluster/kubectl-1.33.1/CFLAGS
- var/db/pkg/sys-cluster/kubectl-1.33.1/CHOST
- var/db/pkg/sys-cluster/kubectl-1.33.1/CONTENTS
- var/db/pkg/sys-cluster/kubectl-1.33.1/COUNTER
- var/db/pkg/sys-cluster/kubectl-1.33.1/CTARGET
- var/db/pkg/sys-cluster/kubectl-1.33.1/CXX
- var/db/pkg/sys-cluster/kubectl-1.33.1/CXXFLAGS
- var/db/pkg/sys-cluster/kubectl-1.33.1/DEFINED_PHASES
- var/db/pkg/sys-cluster/kubectl-1.33.1/DEPEND
- var/db/pkg/sys-cluster/kubectl-1.33.1/DESCRIPTION
- var/db/pkg/sys-cluster/kubectl-1.33.1/EAPI
- var/db/pkg/sys-cluster/kubectl-1.33.1/FEATURES
- var/db/pkg/sys-cluster/kubectl-1.33.1/HOMEPAGE
- var/db/pkg/sys-cluster/kubectl-1.33.1/INHERITED
- var/db/pkg/sys-cluster/kubectl-1.33.1/IUSE
- var/db/pkg/sys-cluster/kubectl-1.33.1/IUSE_EFFECTIVE
- var/db/pkg/sys-cluster/kubectl-1.33.1/KEYWORDS
- var/db/pkg/sys-cluster/kubectl-1.33.1/LDFLAGS
- var/db/pkg/sys-cluster/kubectl-1.33.1/LICENSE
- var/db/pkg/sys-cluster/kubectl-1.33.1/NEEDED
- var/db/pkg/sys-cluster/kubectl-1.33.1/NEEDED.ELF.2
- var/db/pkg/sys-cluster/kubectl-1.33.1/PF
- var/db/pkg/sys-cluster/kubectl-1.33.1/RESTRICT
- var/db/pkg/sys-cluster/kubectl-1.33.1/SIZE
- var/db/pkg/sys-cluster/kubectl-1.33.1/SLOT
- var/db/pkg/sys-cluster/kubectl-1.33.1/USE
- var/db/pkg/sys-cluster/kubectl-1.33.1/environment.bz2
- var/db/pkg/sys-cluster/kubectl-1.33.1/kubectl-1.33.1.ebuild
- var/db/pkg/sys-cluster/kubectl-1.33.1/repository
package_cacheimage: ""
runtime:
  name: kubectl
  version: 1.33.1+2
  category: sys-cluster
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: CLI to run commands against Kubernetes clusters
  uri:
  - https://kubernetes.io
  license: Apache-2.0
  labels:
    BDEPEND: '>=dev-lang/go-1.21 >=dev-lang/go-1.12 app-arch/unzip'
    DEPEND: '!sys-cluster/kubernetes'
    IUSE: hardened
    emerge.packages: sys-cluster/kubectl
    kit: core-server-kit
    original.package.name: sys-cluster/kubectl
    original.package.slot: "0"
    original.package.version: 1.33.1
